curl --request GET \
--url https://api.snappy.com/public-api/v2/products \
--header 'X-Api-Key: <api-key>'{
"results": [
{
"id": "string",
"title": "string",
"category": "string",
"brand": {
"id": "abCd57eFG0",
"name": "Brand Name",
"description": "Brand Description"
},
"coverImage": {
"position": 1,
"type": "image",
"publicCloudinaryId": "bnxjv94tmzq1w8eplk73ua_picture-1.png",
"src": "https://example.com/bnxjv94tmzq1w8eplk73ua_picture-1.png"
},
"options": {
"takeYourPick": "Rainbow Bagel Making Kit",
"color": "Black",
"size": "S",
"scent": "Lavender",
"flavor": "Chocolate",
"beverageType": "Coffee"
},
"tags": [
{
"id": "tag12345A",
"name": "Tag Name",
"color": "#000000",
"position": 1
}
],
"variants": [
{
"id": "ab6789cd",
"optionAttributes": {
"takeYourPick": "Rainbow Bagel Making Kit",
"color": "Black",
"size": "S",
"scent": "Lavender",
"flavor": "Chocolate",
"beverageType": "Coffee"
},
"brand": {
"id": "abCd57eFG0",
"name": "Brand Name",
"description": "Brand Description"
},
"components": "string",
"description": "Variant description",
"features": "Variant features",
"category": "Electronics / Audio / Headphones / Wireless Earbuds",
"mediaItems": [
{
"position": 1,
"type": "image",
"publicCloudinaryId": "bnxjv94tmzq1w8eplk73ua_picture-1.png",
"src": "https://example.com/bnxjv94tmzq1w8eplk73ua_picture-1.png"
}
],
"position": 0,
"types": [
"digital"
],
"tags": [
{
"id": "tag12345A",
"name": "Tag Name",
"color": "#000000",
"position": 1
}
],
"title": "Variant title",
"information": {
"including": "<ul><li>Cute puppy</li></ul>",
"description": "<p>Cutest puppy in the world</p>",
"features": "<ul><li>Floppy ears</li><li>Big eyes</li></ul>",
"specifications": {
"colorFamily": "Brown",
"dimensions": "37in x17in 6in",
"materials": "Cotton",
"weight": "1.5 lbs"
}
},
"notices": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"pricing": {
"US": {
"cost": 100,
"totalFee": 2,
"totalTax": 7,
"totalFinalCost": 109
}
},
"supportedCountries": [
{
"countryCode": "US"
},
{
"countryCode": "CA"
},
{
"countryCode": "GB"
},
{
"countryCode": "DE"
},
{
"countryCode": "FR"
}
]
}
],
"types": [
"digital"
],
"mediaItems": [
{
"position": 1,
"type": "image",
"publicCloudinaryId": "bnxjv94tmzq1w8eplk73ua_picture-1.png",
"src": "https://example.com/bnxjv94tmzq1w8eplk73ua_picture-1.png"
}
],
"notices": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
}
}
]
}Use this API to search for and retrieve a list of available products based on your specified criteria.
Filtering options:
products:readcurl --request GET \
--url https://api.snappy.com/public-api/v2/products \
--header 'X-Api-Key: <api-key>'{
"results": [
{
"id": "string",
"title": "string",
"category": "string",
"brand": {
"id": "abCd57eFG0",
"name": "Brand Name",
"description": "Brand Description"
},
"coverImage": {
"position": 1,
"type": "image",
"publicCloudinaryId": "bnxjv94tmzq1w8eplk73ua_picture-1.png",
"src": "https://example.com/bnxjv94tmzq1w8eplk73ua_picture-1.png"
},
"options": {
"takeYourPick": "Rainbow Bagel Making Kit",
"color": "Black",
"size": "S",
"scent": "Lavender",
"flavor": "Chocolate",
"beverageType": "Coffee"
},
"tags": [
{
"id": "tag12345A",
"name": "Tag Name",
"color": "#000000",
"position": 1
}
],
"variants": [
{
"id": "ab6789cd",
"optionAttributes": {
"takeYourPick": "Rainbow Bagel Making Kit",
"color": "Black",
"size": "S",
"scent": "Lavender",
"flavor": "Chocolate",
"beverageType": "Coffee"
},
"brand": {
"id": "abCd57eFG0",
"name": "Brand Name",
"description": "Brand Description"
},
"components": "string",
"description": "Variant description",
"features": "Variant features",
"category": "Electronics / Audio / Headphones / Wireless Earbuds",
"mediaItems": [
{
"position": 1,
"type": "image",
"publicCloudinaryId": "bnxjv94tmzq1w8eplk73ua_picture-1.png",
"src": "https://example.com/bnxjv94tmzq1w8eplk73ua_picture-1.png"
}
],
"position": 0,
"types": [
"digital"
],
"tags": [
{
"id": "tag12345A",
"name": "Tag Name",
"color": "#000000",
"position": 1
}
],
"title": "Variant title",
"information": {
"including": "<ul><li>Cute puppy</li></ul>",
"description": "<p>Cutest puppy in the world</p>",
"features": "<ul><li>Floppy ears</li><li>Big eyes</li></ul>",
"specifications": {
"colorFamily": "Brown",
"dimensions": "37in x17in 6in",
"materials": "Cotton",
"weight": "1.5 lbs"
}
},
"notices": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"pricing": {
"US": {
"cost": 100,
"totalFee": 2,
"totalTax": 7,
"totalFinalCost": 109
}
},
"supportedCountries": [
{
"countryCode": "US"
},
{
"countryCode": "CA"
},
{
"countryCode": "GB"
},
{
"countryCode": "DE"
},
{
"countryCode": "FR"
}
]
}
],
"types": [
"digital"
],
"mediaItems": [
{
"position": 1,
"type": "image",
"publicCloudinaryId": "bnxjv94tmzq1w8eplk73ua_picture-1.png",
"src": "https://example.com/bnxjv94tmzq1w8eplk73ua_picture-1.png"
}
],
"notices": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
}
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.snappy.com/llms.txt
Use this file to discover all available pages before exploring further.
Company level authentication provides access to all resources under your company, including accounts, campaigns, gifts, and recipients.
POST /v2/authentication/apiKeys endpoint to generate a new API keyInclude your API key in the X-Api-Key header for every request:
X-Api-Key: YOUR_24_CHARACTER_API_KEY
For production environments, enable mutual TLS authentication:
enforceMtls: true when creating the API keyhttps://mtls-api.snappy.com/public-apiSource of the request
api_native, api_zapier, api_salesforce, api_ftp, api_make "api_native"
Minimum budget
1 <= x <= 200001
Maximum budget
1 <= x <= 2000010000
Collection ID. Used when "brandName", "brands", "tags", "title", "description" are not provided.
^[A-Za-z0-9]{8,}$"abcdef12"
Brand name. Used when "collectionId" is not provided.
"abc123"
List of product brand IDs. Used when "collectionId" is not provided.
1["abc123"]
List of hash tag IDs. Used when "collectionId" is not provided.
1["abc123"]
Product title. Used when "collectionId" is not provided.
"abc123"
Product description. Used when "collectionId" is not provided.
"abc123"
Number of records to skip for pagination (use with limit for paging through results)
x >= 00
Maximum number of records to return per page
1 <= x <= 10010
Company ID
^[A-Za-z0-9]{8,}$"12345678"
Account ID
"a12bcd34"
List of additional fields to include in response objects
1The fields to return additionally in response. Valid values are: mediaItems, tags, brand, optionAttributes, notices, pricing, supportedCountries, full.
mediaItems, tags, brand, optionAttributes, notices, pricing, supportedCountries, full ["full"]
Successful response
Response containing products.
The fetched products.
Show child attributes
Was this page helpful?